Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: [OMPI devel] RFC: update lustre check to use only -llustreapi
From: Nathan Hjelm (hjelmn_at_[hidden])
Date: 2013-02-05 13:35:19


What: Update OMPI_CHECK_LUSTRE to link against only -llustreapi. From what I can tell we do not need to link against -llustre. Also remove --with-lustre-libs option.

Why: Some platforms do not have liblustre and we shouldn't need to link against liblustre anyway.

When: I need some feedback from Edgar. Timeout is this Thursday @ 12:00 PM MST

Is there any reason --with-lustre-libs is needed? Is there some configuration where -llustre is required? Let me know and I can modify the patch.

-Nathan
HPC-3, LANL